package com.bonus.core.allocation.advise.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("basics_canteen_evaluate")
@ApiModel("食堂评价")
public class BasicsCanteenEvaluate {
   @ApiModelProperty("主键ID")
   private Long id;
   @ApiModelProperty("评价ID")
   private Long evaluateId;
   @ApiModelProperty("人员ID")
   private Long custId;
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("档口ID")
   private Long shopstallId;
   @ApiModelProperty("评价日期")
   private LocalDate evaluateDate;
   @ApiModelProperty(" 仪容仪表评分")
   private BigDecimal appearance;
   @ApiModelProperty("员工服务态度评分")
   private BigDecimal attitude;
   @ApiModelProperty("菜品口味评分")
   private BigDecimal taste;
   @ApiModelProperty("菜肴花色品种评分")
   private BigDecimal varieties;
   @ApiModelProperty("菜肴食品卫生评分")
   private BigDecimal hygiene;
   @ApiModelProperty("饭菜价格评分")
   private BigDecimal price;
   @ApiModelProperty("饭菜份量评分")
   private BigDecimal weight;
   @ApiModelProperty("自定义评分1")
   private BigDecimal customize1;
   @ApiModelProperty("自定义评分2")
   private BigDecimal customize2;
   @ApiModelProperty("自定义评分3")
   private BigDecimal customize3;
   @ApiModelProperty("自定义文本1")
   private String customizeText1;
   @ApiModelProperty("自定义文本2")
   private String customizeText2;
   @ApiModelProperty("意见和建议")
   private String proposal;
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getEvaluateId() {
      return this.evaluateId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public LocalDate getEvaluateDate() {
      return this.evaluateDate;
   }

   public BigDecimal getAppearance() {
      return this.appearance;
   }

   public BigDecimal getAttitude() {
      return this.attitude;
   }

   public BigDecimal getTaste() {
      return this.taste;
   }

   public BigDecimal getVarieties() {
      return this.varieties;
   }

   public BigDecimal getHygiene() {
      return this.hygiene;
   }

   public BigDecimal getPrice() {
      return this.price;
   }

   public BigDecimal getWeight() {
      return this.weight;
   }

   public BigDecimal getCustomize1() {
      return this.customize1;
   }

   public BigDecimal getCustomize2() {
      return this.customize2;
   }

   public BigDecimal getCustomize3() {
      return this.customize3;
   }

   public String getCustomizeText1() {
      return this.customizeText1;
   }

   public String getCustomizeText2() {
      return this.customizeText2;
   }

   public String getProposal() {
      return this.proposal;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setEvaluateId(final Long evaluateId) {
      this.evaluateId = evaluateId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setEvaluateDate(final LocalDate evaluateDate) {
      this.evaluateDate = evaluateDate;
   }

   public void setAppearance(final BigDecimal appearance) {
      this.appearance = appearance;
   }

   public void setAttitude(final BigDecimal attitude) {
      this.attitude = attitude;
   }

   public void setTaste(final BigDecimal taste) {
      this.taste = taste;
   }

   public void setVarieties(final BigDecimal varieties) {
      this.varieties = varieties;
   }

   public void setHygiene(final BigDecimal hygiene) {
      this.hygiene = hygiene;
   }

   public void setPrice(final BigDecimal price) {
      this.price = price;
   }

   public void setWeight(final BigDecimal weight) {
      this.weight = weight;
   }

   public void setCustomize1(final BigDecimal customize1) {
      this.customize1 = customize1;
   }

   public void setCustomize2(final BigDecimal customize2) {
      this.customize2 = customize2;
   }

   public void setCustomize3(final BigDecimal customize3) {
      this.customize3 = customize3;
   }

   public void setCustomizeText1(final String customizeText1) {
      this.customizeText1 = customizeText1;
   }

   public void setCustomizeText2(final String customizeText2) {
      this.customizeText2 = customizeText2;
   }

   public void setProposal(final String proposal) {
      this.proposal = proposal;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
